=== debian/changelog ===
contextfree (2.2+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664418.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664418).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 04 Apr 2012 19:46:02 +0300

contextfree (2.2+dfsg1-2) unstable; urgency=low

  * Added patch 03_link_against_libm to fix FTBFS with --no-add-needed, which
    is the default when building using binutils-gold.  Thanks to Ilya Barygin
    <barygin@gmail.com>, who fixed this in Ubuntu (closes: #554116).
  * Added ${misc:Depends} to the depends of the contextfree binary package.
  * Updated Standards-Version to 3.9.1.

 -- Bram Senders <bram@luon.net>  Fri, 14 Jan 2011 19:37:13 +0100

contextfree (2.2+dfsg1-1) unstable; urgency=low

  * Removed src-net/ directory from upstream source, which contained files
    which are undistributable according to the DFSG.
  * Updated debian/README.source to note this fact.

 -- Bram Senders <bram@luon.net>  Thu, 12 Mar 2009 16:42:39 +0100

contextfree (2.2-2) experimental; urgency=low

  * Added patch 02_do_not_link_against_libz, to not uselessly link agains libz
    (thanks to dpkg-shlibdeps for the warning).

 -- Bram Senders <bram@luon.net>  Mon, 09 Feb 2009 22:50:20 +0100

contextfree (2.2-1) experimental; urgency=low

  * New upstream release (thanks to Paul van Tilburg and Joachim Breitner for
    motivating me to actually package this!).
  * Dropped patch 01_add_headers; fixed upstream.
  * Updated manpage for cfdg 2.2.
  * Update Standards-Version to 3.8.0.  This requires contextfree to be built
    against an external version of libagg instead of the included sources, so
    added patch 01_use_external_libagg to do that.  Note that we are still
    using the included libagg header files instead of the external ones, as the
    included copy has modifications that are needed for building contextfree.
    This has also been noted in debian/README.source.
  * Added libagg-dev to Build-Depends (because of the above patch).
  * Updated copyright years in debian/copyright.
  * Initial upload to Debian (closes: #461751).

 -- Bram Senders <bram@luon.net>  Sat, 07 Feb 2009 13:41:02 +0100

contextfree (2.2~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * Dropped patch 01_int_for_getopt; fixed upstream.
  * Added patch 01_add_headers for missing headers to make gcc happy.

 -- Bram Senders <bram@luon.net>  Wed, 24 Sep 2008 20:51:58 +0200

contextfree (2.1-1) unstable; urgency=low

  * Initial creation of Debian package.

 -- Bram Senders <bram@luon.net>  Sun, 20 Jan 2008 14:42:26 +0100
