=== debian/control ===
Source: contextfree
Section: graphics
Priority: extra
Maintainer: Bram Senders <bram@luon.net>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, libpng12-dev, libagg-dev
Standards-Version: 3.9.3.1
Homepage: http://contextfreeart.org/

Package: contextfree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image generator based on context-free grammars
 Context Free is a program that produces images based on context-free grammars.
 These grammars are sets of non-deterministic rules that determine what an
 image should look like.  The resulting images often resemble a mix of
 spirograph drawings, fractals and abstract art.
 .
 Context Free can generate images with millions of shapes, in PNG (up to 100
 megapixels) or SVG format.  It can also produce animations.  Many example
 images are included.
