## contextfree 3.0.5%2Bdfsg1

=== debian/changelog ===
contextfree (3.0.5+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using the default GCC. Closes: #751304.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:31:18 +0200

contextfree (3.0.5+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: undefined reference to `__sync_bool_compare_and_swap_8'"
    Add 04-gcc-4.8-atomic.patch
    Patch by Aurelien Jarno
    Closes: #733456

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 04 Mar 2014 13:34:23 +0000

contextfree (3.0.5+dfsg1-2) unstable; urgency=low

  * Added patch 03_fix-arch-native.patch; fixes FTBFS on several architectures.
    Thanks to Roland Stigge for the patch (Closes: #731005).
  * Update Standards-Version to 3.9.5 (no changes required).

 -- Bram Senders <bram@luon.net>  Mon, 02 Dec 2013 22:04:22 +0100

contextfree (3.0.5+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #720699).
  * Acknowledge NMU by Jari Aalto (thanks for helping!)
  * Change Build-Depends on libpng12-dev to libpng-dev (Closes: #662291).
  * Port debian/rules to using dh.
  * Add debian/repack.sh script based on that of owncloud Debian package.
  * Add debian/watch file, that also calls the repack script.
  * Drop patch 01_use_external_libagg.patch.
    Building against external libagg does not work anymore, so just use the
    included copy.  Also document this in debian/README.source.
  * Refresh patch 02_do_not_link_against_libz.patch.
  * Drop patch 03_link_against_libm.patch.
    Upstream now links against libm in Makefile.
  * Remove src-ffmpeg/ from upstream source tarball.
    Reasons documented in debian/README.source.
  * Add patch 01_disable_ffmpeg_support.patch.
    Disable building against FFmpeg.
  * Update copyright years in debian/copyright.
  * Update Standards-Version to 3.9.4 (no changes required).
  * Update manpage to take new upstream options into account.

 -- Bram Senders <bram@luon.net>  Thu, 28 Nov 2013 16:17:33 +0100
