=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Bram Senders <bram@luon.net>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 9), flex, bison, libpng12-dev, libagg-dev
-Standards-Version: 3.9.3.1
+Build-Depends: debhelper (>= 9), flex, bison, libpng-dev
+Standards-Version: 3.9.5
 Homepage: http://contextfreeart.org/
 
 Package: contextfree
