=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# .cfdg example files should not be compressed
override_dh_compress:
	dh_compress -X.cfdg

# "make test" fails (there is no explicit "test" target in the Makefile, but it
# is matched by one of the rules), so override dh_auto_test to not run
override_dh_auto_test:
