=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bram Senders <bram@luon.net>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 9), flex, bison, libpng-dev
+Build-Depends: debhelper (>= 9), flex, bison, libpng-dev, g++-4.8
 Standards-Version: 3.9.5
 Homepage: http://contextfreeart.org/
