=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export CC=gcc-4.8
+export CXX=g++-4.8
 
 %:
 	dh $@
