## contextfree 3.0.11.4+dfsg1

=== debian/changelog ===
contextfree (3.0.11.4+dfsg1-1) unstable; urgency=medium

  * New upstream release and new maintainer. (Closes: #770324)
  * Remove src-ffmpeg, src-osx, src-net, src-win, src-net from 
    upstream source tarball. (Closes: #823144)
  * Remove patches 01_disable_ffmpeg_support.patch,
    02_do_not_link_against_libz.patch, 04-gcc-4.8-atomic.patch. 
    All have been fixed in upstream.
  * Context Free depends on the latest version of libagg, which
    has been added to package libagg-dev at version 1:2.4. Added
    patch 02_use_external_libagg.patch to use libagg-dev. src-agg
    has been removed from the upstream tarball.
  * Added libagg-dev to Build-Depends (because of the above patch).
  * Updated Standards-Version to 4.0.1. Priority changed from
    extra to optional. copyright-format URL uses https.
  * Remove debian/repack.sh. Use a Files-Exluded line in
    debian/copyright instead.
  * Add explicit dependence on package libfl-dev as it is a 
    recommended dependence of flex but contextfree requires it.

 -- John Horigan <john@glyphic.com>  Wed, 16 Aug 2017 12:46:24 -0700
