=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: contextfree
 Section: graphics
-Priority: extra
-Maintainer: Bram Senders <bram@luon.net>
+Priority: optional
+Maintainer: John Horigan <john@glyphic.com>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 9), flex, bison, libpng-dev, g++-4.8
-Standards-Version: 3.9.5
-Homepage: http://contextfreeart.org/
+Build-Depends: debhelper (>= 9), flex (>= 2.6), bison (>=2:3), libpng-dev, libagg-dev (>= 1:2.4), libfl-dev (>= 2.6)
+Standards-Version: 4.0.1
+Homepage: https://www.contextfreeart.org/index.html
 
 Package: contextfree
 Architecture: any
