## contextfree 3.0.11.5%2Bdfsg1

=== debian/changelog ===
contextfree (3.0.11.5+dfsg1-1build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:00:56 +0000

contextfree (3.0.11.5+dfsg1-1) unstable; urgency=medium

  * Upstream fix for FTBFS w.r.t. ppc64el. (Closes: #872738)
  * Upstream fix for FTBFS for Alpha in myrandom.h
  * Upstream fix for FTBFS for gnu/Hurd and x32
  * Upstream fix for warnings about [[fallthrough]] and readdir_r
  * Updated Standards-Version to 4.1.0 and debhelper to 10

 -- John Horigan <john@glyphic.com>  Mon, 21 Aug 2017 16:23:29 -0700
