=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: John Horigan <john@glyphic.com>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 9), flex (>= 2.6), bison (>=2:3), libpng-dev, libagg-dev (>= 1:2.4), libfl-dev (>= 2.6)
-Standards-Version: 4.0.1
+Build-Depends: debhelper (>= 10), flex (>= 2.6), bison (>=2:3), libpng-dev, libagg-dev (>= 1:2.4), libfl-dev (>= 2.6)
+Standards-Version: 4.1.0
 Homepage: https://www.contextfreeart.org/index.html
 
 Package: contextfree
