## contextfree 3.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,8 @@
 	aggCanvas.cpp HSBColor.cpp SVGCanvas.cpp rendererAST.cpp \
 	primShape.cpp bounds.cpp shape.cpp shapeSTL.cpp tiledCanvas.cpp \
 	astexpression.cpp astreplacement.cpp pathIterator.cpp \
-	stacktype.cpp CmdInfo.cpp abstractPngCanvas.cpp ast.cpp
+	stacktype.cpp CmdInfo.cpp abstractPngCanvas.cpp ast.cpp \
+	prettyint.cpp
 
 UNIX_SRCS = pngCanvas.cpp posixSystem.cpp main.cpp posixTimer.cpp \
     posixVersion.cpp
@@ -72,9 +73,9 @@
 
 # Use the first one for clang and the second one for gcc
 ifeq ($(shell uname -s), Darwin)
-  LIBS += c++
+  LIBS += c++ icucore
 else
-  LIBS += stdc++ atomic
+  LIBS += stdc++ atomic icui18n icuuc icudata
 endif
 
 #
@@ -193,13 +194,14 @@
 # Rules
 #
 
-CPPFLAGS += $(patsubst %,-I%,$(INC_DIRS))
-CPPFLAGS += -O2 -Wall -Wextra -march=native -Wno-parentheses -std=c++14
-#CPPFLAGS += -g
+CXXFLAGS += $(patsubst %,-I%,$(INC_DIRS))
+CXXFLAGS += -O2 -Wall -Wextra -march=native -Wno-parentheses -std=c++14
+CXXFLAGS += -g -D_GLIBCXX_USE_C99_MATH=1
+CPPFLAGS += -DNDEBUG
 
 # Add this for clang
 ifeq ($(shell uname -s), Darwin)
-  CPPFLAGS += -stdlib=libc++
+  CXXFLAGS += -stdlib=libc++
 endif
 
 $(OBJ_DIR)/%.o : %.cpp
