=== debian/changelog ===
contextfree (3.1+dfsg1-2) unstable; urgency=medium

  * Use shared library for libagg (Closes: #920920)

 -- John Horigan <john@glyphic.com>  Thu, 31 Jan 2019 19:36:50 -0800

contextfree (3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Updated Standards-Version to 4.3.0.0
  * Fixed several lintian warnings: excluded files still present, no Vcs-*,
    upstream metadata

 -- John Horigan <john@glyphic.com>  Tue, 15 Jan 2019 21:11:31 -0800
