=== debian/control ===
--- 
+++ 
@@ -3,13 +3,21 @@
 Priority: optional
 Maintainer: John Horigan <john@glyphic.com>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 10), flex (>= 2.6), bison (>=2:3), libpng-dev, libagg-dev (>= 1:2.4), libfl-dev (>= 2.6)
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 10),
+               flex (>= 2.6),
+	       bison (>=2:3),
+	       libpng-dev,
+	       libagg2-dev (>= 1:2.6),
+	       libfl-dev (>= 2.6),
+	       libicu-dev (>= 57.1)
+Standards-Version: 4.3.0.0
 Homepage: https://www.contextfreeart.org/index.html
+Vcs-Browser: https://github.com/MtnViewJohn/context-free
+Vcs-git: https://github.com/MtnViewJohn/context-free.git
 
 Package: contextfree
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libagg2 (>= 1:2.6), ${shlibs:Depends}, ${misc:Depends}
 Description: image generator based on context-free grammars
  Context Free is a program that produces images based on context-free grammars.
  These grammars are sets of non-deterministic rules that determine what an
