## contextfree 3.2%2Bdfsg1

=== debian/changelog ===
contextfree (3.2+dfsg1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:26 +0100

contextfree (3.2+dfsg1-1ubuntu1) focal; urgency=medium

  * Fix ftbfs due to missing includes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 21:40:44 +0000

contextfree (3.2+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:55:13 +0100

contextfree (3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Remove strip from Makefile so that dh_strip can do it instead.
    (Closes: #940662)
  * Updated Standards-Version to 4.4.0.1
  * Update debhelper to v12

 -- John Horigan <john@glyphic.com>  Mon, 23 Sep 2019 20:55:48 -0700
