## contextfree 3.2+dfsg1

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: John Horigan <john@glyphic.com>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                flex (>= 2.6),
 	       bison (>=2:3),
 	       libpng-dev,
 	       libagg2-dev (>= 1:2.6),
 	       libfl-dev (>= 2.6),
 	       libicu-dev (>= 57.1)
-Standards-Version: 4.3.0.0
+Standards-Version: 4.4.0.1
 Homepage: https://www.contextfreeart.org/index.html
 Vcs-Browser: https://github.com/MtnViewJohn/context-free
 Vcs-git: https://github.com/MtnViewJohn/context-free.git
