## contextfree 3.3+dfsg1

=== debian/changelog ===
contextfree (3.3+dfsg1-1build2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:39:12 +0100

contextfree (3.3+dfsg1-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:40:02 +0100

contextfree (3.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Adds missing includes (Closes: #951939)
  * Uploaded package is source-only (Closes: #950882) (Closes: #953694)
  * Updated Standards-Version to 4.5.0 (no changes)
  * Enable optional QuickTime/FFmpeg support.

 -- John Horigan <john@glyphic.com>  Thu, 12 Mar 2020 12:44:17 -0700
