## contextfree 3.4+dfsg

=== debian/changelog ===
contextfree (3.4+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:48 +1100

contextfree (3.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libagg2 runtime dependency (Closes: #1067428)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 15:00:29 +0100
