## contextfree 3.4.2+dfsg

=== debian/changelog ===
contextfree (3.4.2+dfsg-1build5) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:50:24 +0000

contextfree (3.4.2+dfsg-1build4) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Dec 2025 22:51:17 +0100

contextfree (3.4.2+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild for fixed libagg2t64 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2025 19:59:46 +0100

contextfree (3.4.2+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:16 +0100

contextfree (3.4.2+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:11:17 +0200

contextfree (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1072407)
  * Updated Standards-Version to 4.6.2 (no changes)

 -- John Horigan <john@glyphic.com>  Tue, 04 Jun 2024 00:10:09 -0700
