=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	       libavformat-dev (>= 7:4.0),
 	       libswscale-dev (>= 7:4.0),
 	       libx264-dev (>= 2:0.155),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.contextfreeart.org/index.html
 Vcs-Browser: https://github.com/MtnViewJohn/context-free
 Vcs-Git: https://github.com/MtnViewJohn/context-free.git
